0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

*** Please report new bugs here! ***

Moderator: Dreamer

DanPF
Posts: 6
Joined: Tue Sep 11, 2018 3:29 pm

0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by DanPF » Thu Jan 23, 2020 11:05 pm

Subject: 0.95: Failure to load - QT5 Conflict

XnView: MP 0.95 64 bit
OS: Linux 64bit

Double Clicking Icon times out without load taking place. Loading from Terminal gives the following

"qt5ct: using qt5ct plugin
Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)
"

Effect: Inability to run XnviewMp at all

To reproduce:
1. Install .deb file from website
2. Double Click on launch bar item or select from Menus, or start from terminal
3. Load fails
Actual behaviour (bug): Current version fails to load at all :bug:

Expected behaviour: XnviewMp should load and run as before upgrade

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Fri Jan 24, 2020 8:08 am

and with the tgz?
Pierre.

DanPF
Posts: 6
Joined: Tue Sep 11, 2018 3:29 pm

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by DanPF » Fri Jan 24, 2020 5:45 pm

xnview wrote:
Fri Jan 24, 2020 8:08 am
and with the tgz?
Sorry, I only use the .deb files on any software these days.

I regressed to 94.3 and that does work. Interestingly If I start from the Terminal, with sudo, .95 does load

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Sat Jan 25, 2020 7:56 am

DanPF wrote:
Fri Jan 24, 2020 5:45 pm
xnview wrote:
Fri Jan 24, 2020 8:08 am
and with the tgz?
Sorry, I only use the .deb files on any software these days.

I regressed to 94.3 and that does work. Interestingly If I start from the Terminal, with sudo, .95 does load
when you try to start it from a console, messages?
Pierre.

zygos29
Posts: 2
Joined: Sat Jan 25, 2020 1:22 pm

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by zygos29 » Sat Jan 25, 2020 1:25 pm

Same problem here.. Both tgz and deb file gives this message from console
qt5ct: using qt5ct plugin
Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)

Paka
Posts: 1
Joined: Sat Jan 25, 2020 3:01 pm

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by Paka » Sat Jan 25, 2020 6:07 pm

Are prior versions available for download? I've been unable to locate them.

I'm unable to load Classic XnView as well.

The problem is with the .deb package, AppImage and running from the script from console.

Error:

Code: Select all

Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)
Aborted


Runnning with:

Debian 4.9.189-3+deb9u2 (2019-11-11)
Linux Mint Debian Edition (LMDE) 3 Cindy

djcj
Posts: 55
Joined: Wed Jan 08, 2014 3:37 pm

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by djcj » Sun Jan 26, 2020 11:35 am

I get the same with AppImage and tarball:
Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)
Aborted (core dumped)
For those interested, you can get previous versions here: https://download.xnview.com/old_versions/?C=M;O=D

I assume some Qt library is missing, it tries to load it from the system and they're not compatible?

Update:

The lib directory contains libQt5WebKit.so.5.9.0 and libQt5WebKitWidgets.so.5.9.0. I guess those are the ones which need an update.

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Sun Jan 26, 2020 1:34 pm

djcj wrote:
Sun Jan 26, 2020 11:35 am
I assume some Qt library is missing, it tries to load it from the system and they're not compatible?

Update:

The lib directory contains libQt5WebKit.so.5.9.0 and libQt5WebKitWidgets.so.5.9.0. I guess those are the ones which need an update.
No missing libraries, the problem is that i use Qt 5.12 and Qt 5.9 is installed, i try to find a workaround
Pierre.

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Tue Jan 28, 2020 11:56 am

i've updated the package, now it works on system with QT 5.9
Pierre.

User avatar
fractl
Posts: 21
Joined: Fri Sep 26, 2014 10:15 am

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by fractl » Tue Jan 28, 2020 12:58 pm

xnview wrote:
Tue Jan 28, 2020 11:56 am
i've updated the package, now it works on system with QT 5.9
Which package have you updated? I've just installed the .deb which was flagged as a problem by @DanPF and I have the same problem. As he noted, I can run it if I use the superuser prefix sudo.

XnView MP Linux
Version 0.95 64bits (Jan 26 2020)
Libformat version 7.36

OS: Ubuntu 18.04.3 LTS

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Tue Jan 28, 2020 2:58 pm

fractl wrote:
Tue Jan 28, 2020 12:58 pm
xnview wrote:
Tue Jan 28, 2020 11:56 am
i've updated the package, now it works on system with QT 5.9
Which package have you updated? I've just installed the .deb which was flagged as a problem by @DanPF and I have the same problem. As he noted, I can run it if I use the superuser prefix sudo.
i've fixed the TGZ, if you start xnview from terminal which message do you have?
Pierre.

User avatar
fractl
Posts: 21
Joined: Fri Sep 26, 2014 10:15 am

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by fractl » Tue Jan 28, 2020 6:54 pm

I'm not much of an expert with TGZ files but I've unpacked it into my home directory, and not having any luck running it:

Code: Select all

julie@julie:~/Scratch/XnView$ ./xnview.sh
Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)
Aborted (core dumped)
This is exactly the same error as I was getting before. I can run it as a superuser and just to double check, the About box info looks the same:
XnView MP Linux
Version 0.95 64bits (Jan 26 2020)
Libformat version 7.36

User avatar
xnview
Author of XnView
Posts: 32459
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by xnview » Wed Jan 29, 2020 9:19 am

fractl wrote:
Tue Jan 28, 2020 6:54 pm
I'm not much of an expert with TGZ files but I've unpacked it into my home directory, and not having any luck running it:

Code: Select all

julie@julie:~/Scratch/XnView$ ./xnview.sh
Cannot mix incompatible Qt library (version 0x50907) with this library (version 0x50c06)
Aborted (core dumped)
This is exactly the same error as I was getting before. I can run it as a superuser and just to double check, the About box info looks the same:
XnView MP Linux
Version 0.95 64bits (Jan 26 2020)
Libformat version 7.36
I've just installed a ubuntu 18.04 with Qt 5.9.5, and no problem to start XnView from .deb or .tgz
do you have qt5ct?
Pierre.

MaxMeier
Posts: 2
Joined: Wed Jan 29, 2020 2:33 pm

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by MaxMeier » Wed Jan 29, 2020 2:46 pm

Hallo all,

the same problem exists with a fresh new installation of Linux MINT 19.3 xfce 64bit.
XnView MP 0.95 was installed from the Linux DEB 64bit.
The XnView version 0.94.x is working properly.

Thanks for the support

Max

User avatar
juozas
Posts: 16
Joined: Sun Sep 27, 2009 11:42 am
Location: Lithuania
Contact:

Re: 0.95.2 Fails to Load in Linux Mint 19.3, Cinnamon

Post by juozas » Thu Jan 30, 2020 12:13 pm

xnview wrote:
Wed Jan 29, 2020 9:19 am
I've just installed a ubuntu 18.04 with Qt 5.9.5, and no problem to start XnView from .deb or .tgz
do you have qt5ct?
On my Ubuntu 18.04 installation with latest updates it does not work either, as qt5ct is already installed.
Edit: I had to modify /etc/X11/Xsession.d/56xubuntu-session and set the QT_QPA_PLATFORMTHEME variable to qt5ct to fix qt5ct invocation and by that get xnview working otherwise it would throw the same error like before, so make sure QT_QPA_PLATFORMTHEME is set to qt5ct or qt5ct program might not work and xnview would not work too.
/etc/X11/Xsession.d/56xubuntu-session

Code: Select all

# Set default environment vars in Xubuntu
if [ "$DESKTOP_SESSION" = xubuntu ]; then
    # Disable GTK 3.16 overlay scrollbars
    export GTK_OVERLAY_SCROLLING=0
    # QT5 apps to use GTK style (disabled)
    #export QT_QPA_PLATFORMTHEME=gtk2
    # Use qt5ct for QT5	
    export QT_QPA_PLATFORMTHEME=qt5ct
    # Workaround clutter issue (LP: #1462445)
    export CLUTTER_BACKEND=x11
fi
Last edited by juozas on Thu Jan 30, 2020 2:25 pm, edited 3 times in total.
Сделано в СССР

Post Reply